> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update bot template

> Updates an existing bot template.

**Required scopes:** `bots.templates:rw`


## OpenAPI

````yaml /api/configuration/v3.5/openapi.json post /action/update_bot_template
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.5
servers:
  - url: https://api.livechatinc.com/v3.5/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/update_bot_template:
    post:
      tags:
        - Bots
      summary: Update bot template
      description: Updates an existing bot template.
      operationId: update-bot-template
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBotTemplateRequest'
            example:
              id: ce54714e3d2b53adbfff09dbdbdd56e9
              name: New Bot Name
              owner_client_id: 238ac5c3c3628210aca289c6d700d2c1
      responses:
        '200':
          description: Bot template updated successfully.
components:
  schemas:
    UpdateBotTemplateRequest:
      type: object
      required:
        - id
        - owner_client_id
      properties:
        id:
          type: string
          description: The bot template ID.
        name:
          type: string
          description: The display name.
        avatar:
          type: string
          description: The avatar URL.
        max_chats_count:
          type: integer
          description: The maximum incoming chats that can be routed to the bot.
          maximum: 500
        default_group_priority:
          type: string
          enum:
            - first
            - normal
            - last
            - supervisor
          description: >-
            The default routing priority for a group without a defined priority.


            - `first` — The highest chat routing priority. bots get chats before
            others from the same group. Corresponds to the **bot** priority
            option in the Text app.

            - `normal` — The medium chat routing priority. bots get chats before
            `last`-priority agents when no `first`-priority agents with free
            slots are available. Corresponds to the **Primary** priority option
            in the Text app.

            - `last` — The lowest chat routing priority. bots get chats when no
            agents with `first` or `normal` priority and free slots are
            available. Corresponds to the **Secondary** priority option in the
            Text app.

            - `supervisor` — Bots with the `supervisor` priority will not get
            any chats assigned automatically.
        job_title:
          type: string
          description: The bot's job title.
        owner_client_id:
          type: string
          description: >-
            The Client ID that owns the bot template. Must be owned by your
            organization.
        affect_existing_installations:
          type: boolean
          description: >-
            If set to `true`: bots based on this template will be updated on all
            licenses that have the given application installed.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````